#include "GeneratorBlockableBySnowballComponent.h"
#include "Net/UnrealNetwork.h"

void UGeneratorBlockableBySnowballComponent::OnRep_RemoveSnowChargeableComponent()
{

}

void UGeneratorBlockableBySnowballComponent::OnRep_BlockStack()
{

}

void UGeneratorBlockableBySnowballComponent::Authority_AttachInteractions()
{

}

void UGeneratorBlockableBySnowballComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UGeneratorBlockableBySnowballComponent, _removeSnowChargeableComponent);
	DOREPLIFETIME(UGeneratorBlockableBySnowballComponent, _blockStack);
}

UGeneratorBlockableBySnowballComponent::UGeneratorBlockableBySnowballComponent()
{
	this->_blockWithSnowballInteractionClass = NULL;
	this->_removeSnowInteractionClass = NULL;
	this->_blockStack = 0;
}
